Bug 1478446 - It looks like the setting for the Compute External Port is wrong in neutron-ovs-dvr.yaml
It looks like the setting for the Compute External Port is wrong in neutron-o...
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
medium Severity medium
: ---
: 12.0 (Pike)
Assigned To: Brent Eagles
Gurenko Alex
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 10:46 EDT by Darin Sorrentino
Modified: 2017-08-14 10:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darin Sorrentino 2017-08-04 10:46:41 EDT
Description of problem:

Looking at the environments/neutron-ovs-dvr.yaml file, it shows this:

  # DVR requires a port on the external network for each compute node.
  # This will usually match the one currently in use for
  # OS::TripleO::Controller::Ports::ExternalPort.
  # Please review your network configuration before deploying to ensure that
  # this is appropriate.
  OS::TripleO::Compute::Ports::ExternalPort: ../network/ports/noop.yaml


However setting ExternalPort to noop.yaml is not how you place an external network on each compute node.  This should be updated to external.yaml as follows:

  # DVR requires a port on the external network for each compute node.
  # This will usually match the one currently in use for
  # OS::TripleO::Controller::Ports::ExternalPort.
  # Please review your network configuration before deploying to ensure that
  # this is appropriate.
  OS::TripleO::Compute::Ports::ExternalPort: ../network/ports/external.yaml

Version-Release number of selected component (if applicable):

Noticed this in RHOSP 11.  Might be an issue in previous versions.

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Assaf Muller 2017-08-07 09:19:51 EDT
Assigned to Brent for triage.
Comment 2 Brent Eagles 2017-08-14 09:41:08 EDT
We can adjust the environment file, but the complete fix requires proper documentation.

Note You need to log in before you can comment on or make changes to this bug.